@import "theme-variables.css";
@import "fonts.css";

:root {
    color: var(--text);
    background-color: var(--base);
    --accent-color: var(--pink);
    --font: 'Inter';
}

body, html {
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 0;
    margin-right: 0;
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 0;
    padding-right: 0;
    width: 100%;
    height: 100%;
    font-size: 1rem;
    font-family: var(--font);
    font-weight: 400;
}

html {
    display: block;
}

head {
    display: none;
}

footer {
    display: none;
}

div {
    display: block;
}

select {
    background-color: var(--surface-1);
    border: 0;
    border-radius: 0;
    color: var(--text);
    padding: 0.5rem;
    font-family: var(--font);
    overflow: hidden;
    cursor: pointer;
}

option {
    background-color: var(--surface-0);
    color: var(--text);
    font-family: var(--font);
}

#theme-choice-theme-dark {
    background-color: #313244;
    color: #cdd6f4;
}

#theme-choice-theme-light {
    background-color: #cdd0da;
    color: #4c4f69;
}

#theme-select-entry-color {
    color: var(--accent-color);
}

/* this should be a fallback for color selector text colors for browsers that don't support whatever I did here */
#theme-select-entry-color option {
    color: var(--text);
}

/* color selector text colors */
#theme-select-entry-color option[value] {
    color: attr(value type(<color>)); /* ignore the errors in this one idk why it thinks it's missing ) and } cause it's not */
}

.menubar {
    display: flex;
    justify-content: end;
    align-items: center;
    padding-left: 1rem;
    height: 1px;
    min-height: 2.25rem;
}

.themes {
    position: relative;
    align-self: stretch;
}

#theme-menu-toggle {
    position: absolute;
    visibility: hidden;
    opacity: 0;
    height: 100%;
}

input[type="checkbox" i] {
    background-color: initial;
    cursor: default;
    appearance: auto;
    box-sizing: border-box;
    margin: 3px 3px 3px 4px;
    padding: initial;
    border: initial;
}

.theme-menu-toggle-button {
    background-color: var(--surface-0);
    user-select: none;
}

.menu-bar-button {
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 1rem;
    padding-right: 1rem;
    height: 100%;
    display: flex;
    width: 3.5rem;
    justify-content: center;
    align-items: center;
}

.menu-bar-button:hover {
    font-weight: 700;
    text-shadow: 0px 0px 8px var(--accent-color);
}

label {
    cursor: pointer;
}

.theme-menu {
    display: block;
    z-index: 2;
    position: absolute;
    right: 0;
    background-color: var(--surface-0);
    padding: 1rem;
    transition: opacity 0.1s ease-in-out, visibility 1s;
    transition-delay: 0.1s;
    opacity: 0;
    visibility: hidden;
}

.theme-select {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.theme-select-entry {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

.theme-select-entry-label {
    cursor: auto;
}

/* this should be a fallback for color selector text colors for browsers that don't support whatever I did here */
#theme-select-entry-font option {
    font-family: var(--font);
}

/* color selector text colors */
#theme-select-entry-font option[value] {
    font-family: attr(value); /* ignore the errors in this one idk why it thinks it's missing ) and } cause it's not */
}

.container {
    display: flex;
    width: 100%;
    justify-content: center;
}

main {
    padding: 1rem;
    width: calc(100% - 2rem);
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    overflow-wrap: break-word;
    max-width: 48rem;
}

h1 {
    margin: 0;
    display: inline-block;
    color: var(--accent-color);
    font-weight: 700;
    font-size: 3rem
}

#pronouns {
    display: inline-block;
    margin-left: 0.25rem;
    color: var(--subtext-0);
    font-weight: 700;
}

p {
    margin: 0.5rem 0;
}

.buttons {
    position: relative;
    display: grid;
    justify-content: center;
    gap: 0.25rem;
    grid-template-columns: auto auto auto auto auto auto auto;
}

img {
    display: block;
    margin: 0 auto;
}

.button-link img:hover {
    box-shadow: 0px 0px 8px 2px var(--accent-color);
}

.button {
    border-radius: 0 !important;
    margin: 0 !important;
}

a {
    text-decoration: underline;
    transition-duration: 0.1s;
}

a:hover {
    font-weight: 700;
    text-shadow: 0px 0px 8px var(--accent-color);
}